#include "t1001_it_2g4.h"
#include "Inital.h"

#ifdef OMW_2G4_DMA_EN_IRQ
extern void RF_2G4_RADIO_Handler(void);
extern uint8_t Key_status,Sleep_flg;

#ifdef OMW_EN_DEEP_SLEEP
__RAM_CODE_SECTION
#endif
ATTRIBUTE_ISR void  RADIO_DMA_Handler(void)
{
    RF_2G4_RADIO_Handler();
}
#endif

ATTRIBUTE_ISR void TIMER0_Handler(void)
{
    omw_timer_it_clr();
	num_timer1++;
	num_timer2++;
	if(num_timer1>=20)		//10ms读一次状态
	{
		num_timer1 = 0;
		Key_status = 1;
	}
	
	if(num_timer2>=20)		//10ms读一次状态
	{
		num_timer2 = 0;
		Sleep_flg = 1;
	}
}

